import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { StaffCountOutputTypeSelectObjectSchema as StaffCountOutputTypeSelectObjectSchema } from './StaffCountOutputTypeSelect.schema'

const makeSchema = () => z.object({
  select: z.lazy(() => StaffCountOutputTypeSelectObjectSchema).optional()
}).strict();
export const StaffCountOutputTypeArgsObjectSchema = makeSchema();
export const StaffCountOutputTypeArgsObjectZodSchema = makeSchema();
